Summary:	PAM module through external storage
Name:		pam_usb
Version:	0.3.2
Release:	2mdk
URL:		http://www.pamusb.org/
Source0:	http://www.pamusb.org/releases/%{name}-%{version}.tar.gz
Source1:	%{name}-doc.tar.bz2
License:	GPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	pam-devel openssl-devel readline-devel

%description
pam_usb is a PAM module that enables authentication using an USB-Storage device
(such as an USB Pen) through DSA private/public keys.

It can also work with other devices, such as floppy disks or cdroms.

%prep
%setup -q -a1

%build
%make CFLAGS="%optflags -I ../../src"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/usbhotplug
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}/html

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc html/* AUTHORS Changelog README
%defattr(-,root,root)
/%{_lib}/security/*
%{_bindir}/*
%{_mandir}/*/*
%{_sysconfdir}/hotplug.d/default/pamusb.hotplug
%{_sysconfdir}/pam_usb/handlers/xlock.sh
%config(noreplace) %{_sysconfdir}/pam_usb/hotplug.conf
%config(noreplace) %{_sysconfdir}/pam.d/usbhotplug/usbhotplug.pam


%changelog
* Sat Jan 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.2-2mdk
- rebuild for new readline
- don't use $RPM_BUILD_DIR and use %%doc in stead
- drop useless prefix
- cosmetics

* Mon Jan 17 2005 Erwan Velu <erwan@seanodes.com> 0.3.2-1mdk
- 0.3.2
- Fixing wrong config(noreplace) tags

* Tue Aug 03 2004 Erwan Velu <erwan@mandrakesoft.com> 0.3.1-2mdk
- Adding documentation

* Tue Aug 03 2004 Erwan Velu <erwan@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1

* Tue May 11 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.2.2-2mdk
- fixed doc permissions

* Tue May 11 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.2.2-1mdk
- removed patch0 (kernel 2.6 is supported upstream now)
- fixed URL
- rpmbuildupdate compatible

* Fri Jan 23 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.2-0.rc2.1mdk
- initial packaging
